<?php
namespace Mirasvit\Misspell\Block\Misspell;

/**
 * Interceptor class for @see \Mirasvit\Misspell\Block\Misspell
 */
class Interceptor extends \Mirasvit\Misspell\Block\Misspell implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Misspell\Service\QueryService $queryService, \Mirasvit\Misspell\Service\TextService $textService, \Magento\Framework\UrlFactory $urlFactory, \Magento\Framework\View\Element\Template\Context $context)
    {
        $this->___init();
        parent::__construct($queryService, $textService, $urlFactory, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
